# Interface User

#### Hierarchy

- User

- Defined in srcapi/store/user.ts:58

#####
Index

### Properties

email
functionalities
is_intranet
is_password_changed
otp_key
otp_uri
roles
two_factor_totp_secret
username

## Properties

### email

email: string

User's email address.

- Defined in srcapi/store/user.ts:62

### functionalities

functionalities: AuthenticationFunctionalities

Configured functionalities of the user.

- Defined in srcapi/store/user.ts:70

### is_intranet

is_intranet: boolean

The user is in the intranet.

- Defined in srcapi/store/user.ts:66

### is_password_changed

is_password_changed: boolean

True if the password of the user has been changed. False otherwise.

- Defined in srcapi/store/user.ts:74

### otp_key

otp_key: string

The one-time-password Key

- Defined in srcapi/store/user.ts:86

### otp_uri

otp_uri: string

The one-time-password URI

- Defined in srcapi/store/user.ts:90

### roles

roles: RoleInfo[]

Roles information.

- Defined in srcapi/store/user.ts:78

### two_factor_totp_secret

two_factor_totp_secret: string

The two-factor authentication secret on first login

- Defined in srcapi/store/user.ts:94

### username

username: string

The name of the user.

- Defined in srcapi/store/user.ts:82

Generated using TypeDoc